This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434132 - jigdo failed massrebuild attempt for GCC 4.3
jigdo failed massrebuild attempt for GCC 4.3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jigdo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:08 EST by Jesse Keating
Modified: 2013-01-09 21:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 22:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:08:44 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=439589
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-26 07:01:51 EST
Errors in i386 build.log

In file included from mkjigdo.cc:23:
./util/md5sum.hh: In function 'bool operator==(const MD5&, const MD5&)':
./util/md5sum.hh:317: error: 'memcmp' was not declared in this scope
In file included from mkimage.cc:28:
./compat.hh: In function 'bool compat_setenv(const char*, const char*)':
./compat.hh:84: error: 'setenv' was not declared in this scope
Comment 2 Ian Burrell 2008-03-12 22:52:33 EDT
Wrote patch to fix C++ definition errors.  Built jigdo-0.7.3-6.fc9.

Note You need to log in before you can comment on or make changes to this bug.